import '@vonage/vwc-tab-bar/vwc-tab-bar.js';
import '@vonage/vwc-tab-bar/vwc-tab.js';
import { html } from 'lit';
import { spread } from '@vonage/vvd-foundation/utils/lit-helpers/spread.js';
import { argTypes } from './arg-types-tab.js';

export default {
	title: 'Components/Tab',
	component: 'vwc-tab',
	argTypes
};

const Template = args => html`
  <vwc-tab-bar>
    <vwc-tab ...=${spread(args)} @MDCTab:interacted="${handleInteraction}"></vwc-tab>
    <vwc-tab ...=${spread(args)} @MDCTab:interacted="${handleInteraction}"></vwc-tab>
    <vwc-tab ...=${spread(args)} @MDCTab:interacted="${handleInteraction}"></vwc-tab>
  </vwc-tab-bar>`;

export const Basic = Template.bind({});
Basic.args = { label: 'Tab' };

export const Block = Template.bind({});
Block.args = { label: 'Tab', block: '' };

export const WithIcon = Template.bind({});
WithIcon.args = { label: 'Tab', icon: 'chat' };

export const IconOnly = Template.bind({});
IconOnly.args = { icon: 'chat' };

export const Disabled = Template.bind({});
Disabled.args = { label: 'Tab', icon: 'chat', disabled: '' };

function handleInteraction() {
	console.log('MDCTab:interacted event');
}
